package capitulo03.bloque05;

import static capitulo03.utils.Utils.*;

public class Ejercicio4 {
    public static void main(String[] args) {
        int numAleatorio = (int) generarNumAleatorio(100), num;
        System.out.println("Tiene que adivinar el número entre el 1 y el 100");
        do {
            num = solicitarIntScanner("Introduzca el número (-1 para rendirse): ");
            if (num == -1) {
                System.out.println("Que pena, el número era: " + numAleatorio);
                break;
            } else if (num > numAleatorio) {
                System.out.println("El número es menor que " + num);
            } else if (num < numAleatorio) {
                System.out.println("El número es mayor que " + num);
            } else {
                System.out.println("¡Acertáste! El número es  " + numAleatorio);
                break;
            }
        } while (true);
    }
}